明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1354|回复: 2

关于的程序

[复制链接]
发表于 2003-7-9 19:50:00 | 显示全部楼层 |阅读模式
下面是关于<贴附延伸数据到图元>的程序
(defun c:hch ()                               
  (setq ss (ssget))
  (setq en (ssname ss 0))
  (setq lastent (entget en))               
  (regapp "MY_TAG")                       
  (setq        exdata                                       
'((-3
            ("MY_TAG"                       
             (1000 . "This is a new thing!")
            )
           )
          )                                  
)                                  
(setq        newent
         (append lastent exdata)
  )                                                
                                                
  (entmod newent)                          
)
                                               
;;;在上面的延伸资料 "This is a new thing!" 好象不能用变量吧
;;;我现在想用 (subst) 函数将它替换掉
;;;比如 (setq tag “定位块,割,单+0.010”)
;;;然后用 tag 将 "This is a new thing!" 替换掉
;;;我的这种想法可以吗
;;;___________________________________________________
(defun c:h_dim ()
  (setq tag (entget (car (entsel)) '("MY_TAG")))
  (setq tag1 (cdr (cadr (cadr (assoc -3 tag)))))
  (setq t_hight (getstring "\n请指定字高"))
  (setq p1 (getpoint "\ninsertion point"))
  (command "text" p1 t_hight 0 tag1)
  (princ)
)
"觉得好,就打赏"
还没有人打赏,支持一下
发表于 2003-7-10 12:41:00 | 显示全部楼层
可以直接使用变量,
(setq exdata (list (list -3 (list "MY_TAG" (cons 1000 tag)))))
 楼主| 发表于 2003-7-11 12:19:00 | 显示全部楼层

謝謝!!!

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 18:31 , Processed in 0.171765 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表